Package Details: mopidy-audioaddict-git 1.0.0-1

Git Clone URL: https://aur.archlinux.org/mopidy-audioaddict.git (read-only)
Package Base: mopidy-audioaddict
Description: Mopidy extension for playing music using the audioaddict service
Upstream URL: https://github.com/nilicule/mopidy-audioaddict
Licenses: Apache
Provides: mopidy-audioaddict
Submitter: pyriand3r
Maintainer: pyriand3r
Last Packager: pyriand3r
Votes: 1
Popularity: 0.000008
First Submitted: 2016-01-19 08:49
Last Updated: 2016-01-19 09:00

Required by (0)

Sources (1)

Latest Comments

dreieck commented on 2019-01-18 18:22

Here is an updated pkgver():

pkgver() {
    cd "${srcdir}/${_pkgname}"

    _ver="$(grep -E '^[[:space:]]*__version__[[:space:]]*=[[:space:]]*[^[:space:]]+$' "mopidy_audioaddict/__init__.py" | head -n 1 | awk -F'=' '{print $2}' | tr -d "[[:space:]]'\"")"
    # _ver="$(git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g')"
    _rev="$(git rev-list --count HEAD)"
    _hash="$(git rev-parse --short HEAD)"
    _date="$(git log -n 1 --format=tformat:%ci | awk '{print $1}' | tr -d '-')"

    printf %s "${_ver}+r${_rev}.${_date}.g${_hash}"
}

Also, remove -git from $_pkgname; $pkgname is ${_pkgname}-git already.

dreieck commented on 2019-01-18 17:35

pkgver() fails:

==> Starting pkgver()...
fatal: No names found, cannot describe anything.
==> ERROR: pkgver is not allowed to be empty.
==> ERROR: pkgver() generated an invalid version: